<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:XQMessageElem="http://www.sonicsw.com/sonicxq/com.sonicsw.xq.service.xform.TransformationElementFactory"
	extension-element-prefixes="XQMessageElem">
<xsl:template match="/">
  <XQMessageElem:XQMessage>
      <XQMessage>
          <header>ProcessBid.CustName=<xsl:value-of select="/BondBidRequest/CustomerName/text()" />,ProcessBid.Security=<xsl:value-of select="/BondBidRequest/BondID/text()" />,ProcessBid.AskPrice=<xsl:value-of select="/BondBidRequest/AskingPrice/text()" />,ProcessBid.BidPrice=<xsl:value-of select="/BondBidRequest/CURR_BID/text()" />
          </header>
          <part>
            <header>Content-ID=bidrequest</header>
			<content><xsl:copy-of select="."/></content>
		  </part>
          <part>
            <header>Content-ID=orderinfo</header>
			<content>
<SecurityOrder>
    <Customer>
        <Name><xsl:value-of select="/BondBidRequest/CustomerName/text()" /></Name>
        <Number></Number>
    </Customer>
    <OrderInfo>
        <AccountNumber><xsl:value-of select="/BondBidRequest/Account/text()" /></AccountNumber>
        <PricingInfo>
            <Security><xsl:value-of select="/BondBidRequest/BondID/text()" /></Security>
            <Quantity><xsl:value-of select="/BondBidRequest/NumShares/text()" /></Quantity>
            <Price><xsl:value-of select="/BondBidRequest/CURR_BID/text()" /></Price>
        </PricingInfo>
    </OrderInfo>
</SecurityOrder>
			</content>
		  </part>
            </XQMessage>
  </XQMessageElem:XQMessage>
</xsl:template>
</xsl:stylesheet>
